"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const mongoose_1 = require("mongoose");
const Timestamp = require("mongoose-timestamp");
const ElementSchema = new mongoose_1.Schema({
    type: { type: String },
    href: { type: String },
    title: { type: String, require: true },
});
ElementSchema.add({
    children: [ElementSchema],
});
const MenuSchema = new mongoose_1.Schema({
    elements: [{ type: ElementSchema }],
    name: { type: String, required: true },
    active: { type: Boolean, require: true, default: true },
});
MenuSchema.plugin(Timestamp);
exports.Menu = mongoose_1.model('Menu', MenuSchema);
//# sourceMappingURL=Menu.js.map